Bug 156022 - openoffice.org does not rebuild if enable_java is set to 1
openoffice.org does not rebuild if enable_java is set to 1
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
N/A
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-26 14:13 EDT by rob
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 03:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for openoffice.org java build (2.64 KB, patch)
2005-04-26 14:14 EDT, rob
no flags Details | Diff

  None (edit)
Description rob 2005-04-26 14:13:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322 Firefox/1.0.2 Red Hat/1.0.2-1.4.1

Description of problem:
i am rebuilding the RHEL4 openoffice.org packages with java support.

i have found that even if i %define enable_java 1 in the openoffice.org-1.1.2-24.6.0.EL4 spec and rebuild that does not rebuild properly.  there is an error building berkeley db.  am i doing something wrong?

i am using java-1.4.2-sun from jpackage.

it would be nice if all that was needed to rebuild openoffice with java support was a redefine, a recompile, and lots of patience.

ugly patch attached.  beauty hints requested.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-24.6.0.EL4 as well as openoffice.org-1.1.2-18.6.EL4

How reproducible:
Always

Steps to Reproduce:
1. try and build openoffice with java support

Additional info:
Comment 1 rob 2005-04-26 14:14:49 EDT
Created attachment 113679 [details]
patch for openoffice.org java build
Comment 2 Caolan McNamara 2005-04-27 03:05:59 EDT
Building with java from .spec is just not supported, so it's not going to be
done back to a 1.1.2. For 2.0 in FC4 we are currently building the java portions
of OOO with gcj, which is the route we're generally taking for java requirements.

Note You need to log in before you can comment on or make changes to this bug.